# RPM specfile for helix-sweetpill module
# Generated Mon May  6 02:00:31 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.15 2002/03/27 21:59:17 dobey Exp $

%define nam	helix-sweetpill
%define ver	1.0
%define ximrev	2

Name:     	helix-sweetpill
Version: 	1.0
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://sawfish.themes.org/
Epoch:		1
Source0:	HeliX-Sweetpill-Blackcurrant.tar.gz
Source1:	HeliX-Sweetpill-Citrus.tar.gz
Source2:	HeliX-Sweetpill-Crowberry.tar.gz
Source3:	HeliX-Sweetpill-Eggplant.tar.gz
Source4:	HeliX-Sweetpill-Jade.tar.gz
Source5:	HeliX-Sweetpill-Lime.tar.gz
Source6:	HeliX-Sweetpill-Popcorn.tar.gz
Source7:	HeliX-Sweetpill-Pumpkin.tar.gz
Patch0:		sawfish-themes-makefile.patch
Summary:	Sweetpill Sawfish themes from Ximian
Group:		User Interfaces/Desktops
Provides:	ximian-helix-sweetpill = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package contains the Sweetpill set of themes from Ximian, designed
by Tuomas Kuosmanen.

%files
%defattr(-, root, root)
/usr/share/sawfish/themes


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n helix-sweetpill
    ;;
all)
%setup -c -q -n helix-sweetpill
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n helix-sweetpill -q -D -T -a 1
%setup -c -n helix-sweetpill -q -D -T -a 2
%setup -c -n helix-sweetpill -q -D -T -a 3
%setup -c -n helix-sweetpill -q -D -T -a 4
%setup -c -n helix-sweetpill -q -D -T -a 5
%setup -c -n helix-sweetpill -q -D -T -a 6
%setup -c -n helix-sweetpill -q -D -T -a 7
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var compress=true
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon May 6 2002 Ximian, Inc.

- Version: 1:1.0-1.ximian.2
- Summary: New build.
- New automated build.

